package com.goafanti.techproject.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

/**
 * 用户科技申报项目列表
 */
public class TechProjectClientListBo {
	private String	id;

	private String	uid;

	private Integer	serialNumber;

	private Integer	province;

	private Integer	contacts;

	private String	unitName;

	private String	projectName;

	private String	projectCatagory;

	private String	techField;

	private Integer	state;

	private Date	createTime;

	private String	consultant;

	private Date	acceptDate;

	private Date	approvedDate;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Integer getProvince() {
		return province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public Integer getContacts() {
		return contacts;
	}

	public void setContacts(Integer contacts) {
		this.contacts = contacts;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public String getProjectCatagory() {
		return projectCatagory;
	}

	public void setProjectCatagory(String projectCatagory) {
		this.projectCatagory = projectCatagory;
	}

	public String getTechField() {
		return techField;
	}

	public void setTechField(String techField) {
		this.techField = techField;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getConsultant() {
		return consultant;
	}

	public void setConsultant(String consultant) {
		this.consultant = consultant;
	}

	public Date getAcceptDate() {
		return acceptDate;
	}

	public void setAcceptDate(Date acceptDate) {
		this.acceptDate = acceptDate;
	}

	public Date getApprovedDate() {
		return approvedDate;
	}

	public void setApprovedDate(Date approvedDate) {
		this.approvedDate = approvedDate;
	}

	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDD);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

	public String getAcceptDateFormattedDate() {
		if (this.acceptDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getAcceptDate(), AFTConstants.YYYYMMDD);
		}
	}

	public void setAcceptDateFormattedDate(String acceptDateFormattedDate) {

	}

	public String getApprovedDateFormattedDate() {
		if (this.approvedDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getApprovedDate(), AFTConstants.YYYYMMDD);
		}
	}

	public void setApprovedDateFormattedDate(String approvedDateFormattedDate) {

	}

}
